# Dropbox — File Storage API: gotchas

> Canonical URL: https://developers.apideck.com/apis/file-storage/dropbox/gotchas

## GET /file-storage/files

Dropbox does not expose a total record count in list responses. `meta.total_count` will not appear.

## POST /file-storage/folders

To create a new folder at the top level in Dropbox via its API, use "root" as the parent_folder_id. For a subfolder, use "/ParentFolder" as the parent_folder_id, including the initial "/". Omitting this slash leads to a regex error from Dropbox.
## GET /file-storage/folders/{id}

Dropbox does not support getting metadata for the `root` folder.

[API reference](https://developers.apideck.com/apis/file-storage/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/file-storage/coverage)
